grim/guifications3

updating all of the autogens to the modular one
org.guifications.gf3
2009-09-10, Gary Kramlich
533d97000e2e
Parents d50957f500a3
Children 9b4ef0d250e7
updating all of the autogens to the modular one
--- a/gflib-dbus/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-dbus/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,168 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-dbus"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/gflib-eggdbus/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-eggdbus/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,168 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-eggdbus"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_FLAGS} $@"
-./configure ${CONFIGURE_FLAGS} $@
-
--- a/gflib-gtk/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-gtk/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,174 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-gtk"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-GTKDOCIZE_CMD="gtkdocize"
-GTKDOCIZE_FLAGS="--copy"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
-
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
+. gflib-autogen.sh
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_library_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${GTKDOCIZE_CMD}"; GTKDOCIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${GTKDOCIZE} ${GTKDOCIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_FLAGS} $@"
-./configure ${CONFIGURE_FLAGS} $@
-
--- a/gflib-java/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-java/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# Guifications - The end-all, be-all notification framework
# Copyright (C) 2003-2009 Gary Kramlich <grim@reaperworld.com>
#
@@ -14,46 +14,17 @@
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
PACKAGE="gflib-java"
-if [ -f configure.args ] ; then
- . configure.args
-fi
-
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have libtool installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have automake installed to compile $PACKAGE";
- echo;
- exit;
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have autoconf installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-echo "Generating configuration files for $PACKAGE, please wait...."
-echo;
+. gflib-autogen.sh
-echo "Running libtoolize, please ignore non-fatal messages...."
-echo n | libtoolize --copy --force || exit;
-echo;
+add_default_commands
-aclocal -I m4 || exit;
-autoheader || exit;
-automake --add-missing --copy
-autoconf || exit;
-automake || exit;
+autogen
-echo "Running ./configure ${CONFIGURE_ARGS} $@"
-echo;
-./configure ${CONFIGURE_ARGS} $@
--- a/gflib-sharp/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-sharp/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,164 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-sharp"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found.\n"
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found.\n"
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/gflib-ui/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-ui/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,174 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-ui"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-GTKDOCIZE_CMD="gtkdocize"
-GTKDOCIZE_FLAGS="--copy"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
-
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
+. gflib-autogen.sh
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_library_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${GTKDOCIZE_CMD}"; GTKDOCIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${GTKDOCIZE} ${GTKDOCIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/gflib-unix/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-unix/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,171 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-unix"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- # we need to make sure to use a six-character template because some versions
- # of mktemp blow up on anything shorter or longer.
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this lets us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_FLAGS} $@"
-./configure ${CONFIGURE_FLAGS} $@
-
--- a/gflib-xmlrpc/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib-xmlrpc/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,171 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="gflib-xmlrpc"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- # we need to make sure to use a six-character template because some versions
- # of mktemp blow up on anything shorter or longer.
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this lets us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_FLAGS} $@"
-./configure ${CONFIGURE_FLAGS} $@
-
--- a/gflib/gflib-autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflib/gflib-autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -183,7 +183,7 @@
run_configure () {
echo "running configure ${@}..."
- ./configure ${CONFIGURE_FLAGS} ${@}
+ ./configure ${CONFIGURE_FLAGS} "${@}"
}
add_default_commands () {
@@ -281,6 +281,6 @@
check_commands
run_commands
- run_configure ${@}
+ run_configure "${@}"
}
--- a/gflibmm/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/gflibmm/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# Guifications - The end-all, be-all notification framework
# Copyright (C) 2003-2009 Gary Kramlich <grim@reaperworld.com>
#
@@ -14,72 +14,17 @@
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
PACKAGE="gflibmm"
-if [ -f configure.args ] ; then
- . configure.args
-fi
-
-SETUP_GETTEXT=./setup-gettext
-
-($SETUP_GETTEXT --gettext-tool) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have gettext installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have libtool installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have automake installed to compile $PACKAGE";
- echo;
- exit;
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have autoconf installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
- echo;
- echo "You must have gtkdocize installed to compile $PACKAGE";
- echo;
- exit;
-}
-
-echo "Generating configuration files for $PACKAGE, please wait...."
-echo;
-
-# Backup po/ChangeLog because gettext likes to change it
-cp -p po/ChangeLog po/ChangeLog.save
+. gflib-autogen.sh
-echo "Running gettextize, please ignore non-fatal messages...."
-$SETUP_GETTEXT
-
-#restore pl/ChangeLog
-mv po/ChangeLog.save po/ChangeLog
-
-echo "Running libtoolize, please ignore non-fatal messages...."
-echo n | libtoolize --copy --force || exit;
-echo;
+add_default_library_commands
-gtkdocize
-aclocal -I m4 || exit;
-autoheader || exit;
-automake --add-missing --copy
-autoconf || exit;
-automake || exit;
+autogen
-echo "Running ./configure ${CONFIGURE_ARGS} $@"
-echo;
-./configure ${CONFIGURE_ARGS} $@
--- a/guifications-daemon-fuse/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/guifications-daemon-fuse/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# Guifications - The end-all, be-all notification framework
# Copyright (C) 2003-2009 Gary Kramlich <grim@reaperworld.com>
#
@@ -15,121 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-PACKAGE="guifications-daemon-fuse"
-ARGS_FILE="autogen.args"
+PACKAGE="gfd-fuse"
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- echo -n "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- echo -n "running ${CMD} ${@}... "
- OUTPUT=`${CMD} ${@} 2>&1`
- if [ $? != 0 ] ; then
- echo "failed."
- echo ${OUTPUT}
- exit 1
- else
- echo "done."
- if [ x"${OUTPUT}" != x"" ] ; then
- echo ${OUTPUT}
- fi
- fi
-}
-
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
+. gflib-autogen.sh
-###############################################################################
-# Look for our args file
-###############################################################################
-echo -n "checking for ${ARGS_FILE}: "
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- echo -n "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "libtoolize"; LIBTOOLIZE=${BIN};
-check "intltoolize"; INTLTOOLIZE=${BIN};
-check "aclocal"; ACLOCAL=${BIN};
-check "autoheader"; AUTOHEADER=${BIN};
-check "automake"; AUTOMAKE=${BIN};
-check "autoconf"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} -c -f --automake ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} -c -f --automake ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} -a -c -f --gnu ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} -f ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
--- a/guifications-daemon-mpris/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/guifications-daemon-mpris/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# Guifications - The end-all, be-all notification framework
# Copyright (C) 2003-2009 Gary Kramlich <grim@reaperworld.com>
#
@@ -15,120 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-PACKAGE="guifications-daemon-mpris"
-ARGS_FILE="autogen.args"
+PACKAGE="gfd-mpris"
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- echo -n "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- echo -n "running ${CMD} ${@}... "
- OUTPUT=`${CMD} ${@} 2>&1`
- if [ $? != 0 ] ; then
- echo "failed."
- echo ${OUTPUT}
- exit 1
- else
- echo "done."
- if [ x"${OUTPUT}" != x"" ] ; then
- echo ${OUTPUT}
- fi
- fi
-}
-
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
+. gflib-autogen.sh
-###############################################################################
-# Look for our args file
-###############################################################################
-echo -n "checking for ${ARGS_FILE}: "
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- echo -n "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "libtoolize"; LIBTOOLIZE=${BIN};
-check "intltoolize"; INTLTOOLIZE=${BIN};
-check "aclocal"; ACLOCAL=${BIN};
-check "autoheader"; AUTOHEADER=${BIN};
-check "automake"; AUTOMAKE=${BIN};
-check "autoconf"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} -c -f --automake ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} -c -f --automake ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} -a -c -f --gnu ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} -f ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
--- a/guifications-daemon-web/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/guifications-daemon-web/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,172 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
-PACKAGE="guifications-daemon-web"
-
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
+PACKAGE="gfd-web"
-GTKDOCIZE_CMD="gtkdocize"
-GTKDOCIZE_FLAGS="--copy"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/guifications-daemon/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/guifications-daemon/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,169 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
-PACKAGE="guifications-daemon"
-
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
+PACKAGE="gfd"
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS="-I m4"
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/guifications-gtk/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/guifications-gtk/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,172 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="guifications-gtk"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-GTKDOCIZE_CMD="gtkdocize"
-GTKDOCIZE_FLAGS="--copy"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${GTKDOCIZE_CMD}"; GTKDOCIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_FLAGS} $@"
-./configure ${CONFIGURE_FLAGS} $@
--- a/purple-guifications/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/purple-guifications/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,169 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# GTKDOCIZE_FLAGS - command line arguments to pass to gtkdocize
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
PACKAGE="purple-guifications"
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
-
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this let's us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-
--- a/tools/autogen.sh Thu Sep 10 22:30:40 2009 -0500
+++ b/tools/autogen.sh Thu Sep 10 22:58:55 2009 -0500
@@ -15,170 +15,16 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-###############################################################################
-# Usage
-###############################################################################
-# This script uses a config file that can be used to stash common arguments
-# passed to configure or environment variables that need to be set before
-# configure is called. The configuration file is a simple shell script that
-# gets sourced.
-#
-# By default, the config file that is used is named 'autogen.args'. This can
-# be configured below.
-#
-# Available options that are handled are as follow:
-# ACLOCAL_FLAGS - command line arguments to pass to aclocal
-# AUTOCONF_FLAGS - command line arguments to pass to autoconf
-# AUTOHEADER_FLAGS - command line arguments to pass to autoheader
-# AUTOMAKE_FLAGS - command line arguments to pass to automake flags
-# CONFIGURE_FLAGS - command line arguments to pass to configure
-# INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
-# LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
-#
-# Other helpfull notes:
-# If you're using a different c compiler, you can override the environment
-# variable in 'autogen.args'. For example, say you're using distcc, just add
-# the following to 'autogen.args':
-#
-# CC="distcc"
-#
-# This will work for any influential environment variable to configure.
-###############################################################################
-
-###############################################################################
-# default values for variables
-###############################################################################
-PACKAGE="guifications-tools"
-
-ARGS_FILE="autogen.args"
-
-LIBTOOLIZE_CMD="libtoolize"
-LIBTOOLIZE_FLAGS="-c -f --automake"
+PACKAGE="tools"
-INTLTOOLIZE_CMD="intltoolize"
-INTLTOOLIZE_FLAGS="-c -f --automake"
-
-ACLOCAL_CMD="aclocal"
-ACLOCAL_FLAGS=""
-
-AUTOHEADER_CMD="autoheader"
-AUTOHEADER_FLAGS=""
-
-AUTOMAKE_CMD="automake"
-AUTOMAKE_FLAGS="-a -c -f --gnu"
-
-AUTOCONF_CMD="autoconf"
-AUTOCONF_FLAGS="-f"
-
-###############################################################################
-# Some platform specific fun
-###############################################################################
-case $(uname -s) in
- Darwin*)
- LIBTOOLIZE_CMD="glibtoolize"
-
- ACLOCAL_FLAGS="${ACLOCAL_FLAGS} -I /sw/share/aclocal/"
- ;;
- *)
-esac
-
-###############################################################################
-# Some helper functions
-###############################################################################
-check () {
- CMD=$1
-
- printf "checking for ${CMD}... "
- BIN=`which ${CMD}`
-
- if [ x"${BIN}" = x"" ] ; then
- echo "not found."
- echo "${CMD} is required to build ${PACKAGE}!"
- exit 1;
- fi
-
- echo "${BIN}"
+which gflib-autogen.sh || {
+ echo "You need to install gflib to run autogen"
+ exit 1
}
-run_or_die () { # beotch
- CMD=$1
- shift
-
- # we need to make sure to use a six-character template because some versions
- # of mktemp blow up on anything shorter or longer.
- OUTPUT=`mktemp autogen-XXXXXX`
-
- # we have to stash ${@} into a variable, otherwise printf has "issues" if
- # ${@} was expanded from a variable. Fortunately, this lets us clean up
- # the output a bit too.
- ARGS="${@}"
- if [ x"${ARGS}" != x"" ] ; then
- ARGS=" ${ARGS}"
- fi
-
- printf "running '${CMD}${ARGS}' ... "
- ${CMD} ${@} >${OUTPUT} 2>&1
-
- if [ $? != 0 ] ; then
- echo "failed."
- cat ${OUTPUT}
- rm -f ${OUTPUT}
- exit 1
- else
- echo "done."
- cat ${OUTPUT}
-
- rm -f ${OUTPUT}
- fi
-}
+. gflib-autogen.sh
-###############################################################################
-# We really start here, yes, very sneaky!
-###############################################################################
-FIGLET=`which figlet`
-if [ x"${FIGLET}" != x"" ] ; then
- ${FIGLET} -f small ${PACKAGE}
- echo "build system is being generated"
-else
- echo "autogenerating build system for '${PACKAGE}'"
-fi
-
-###############################################################################
-# Look for our args file
-###############################################################################
-printf "checking for %s: " ${ARGS_FILE}
-if [ -f ${ARGS_FILE} ] ; then
- echo "found."
- printf "sourcing ${ARGS_FILE}: "
- . autogen.args
- echo "done."
-else
- echo "not found."
-fi
+add_default_commands
-###############################################################################
-# Check for our required helpers
-###############################################################################
-check "${LIBTOOLIZE_CMD}"; LIBTOOLIZE=${BIN};
-check "${INTLTOOLIZE_CMD}"; INTLTOOLIZE=${BIN};
-check "${ACLOCAL_CMD}"; ACLOCAL=${BIN};
-check "${AUTOHEADER_CMD}"; AUTOHEADER=${BIN};
-check "${AUTOMAKE_CMD}"; AUTOMAKE=${BIN};
-check "${AUTOCONF_CMD}"; AUTOCONF=${BIN};
+autogen
-###############################################################################
-# Run all of our helpers
-###############################################################################
-run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS}
-run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS}
-run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS}
-run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
-run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS}
-run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
-
-###############################################################################
-# Run configure
-###############################################################################
-echo "running ./configure ${CONFIGURE_ARGS} $@"
-./configure ${CONFIGURE_ARGS} $@
-